Page MenuHomePhabricator

Possible issues with varnish purging on wikitech
Closed, ResolvedPublic

Description

Reedy points out that the new wikitech setup is throwing some errors:

2018-03-09 19:00:30 [937c1ccbbdfe8fcc2da0e426] labweb1001 labswiki 1.31.0-wmf.24 exception ERROR: [937c1ccbbdfe8fcc2da0e426] /w/index.php?title=User:Bstorm&action=submit   MWException from line 332 of /srv/mediawiki/php-1.31.0-wmf.24/includes/jobqueue/JobQueue.php: Got delayed 'cdnPurge' job; delays are not supported. {"exception_id":"937c1ccbbdfe8fcc2da0e426","exception_url":"/w/index.php?title=User:Bstorm&action=submit","caught_by":"other"}
[Exception MWException] (/srv/mediawiki/php-1.31.0-wmf.24/includes/jobqueue/JobQueue.php:332) Got delayed 'cdnPurge' job; delays are not supported.
  #0 /srv/mediawiki/php-1.31.0-wmf.24/includes/jobqueue/JobQueue.php(306): JobQueue->batchPush(array, integer)
  #1 /srv/mediawiki/php-1.31.0-wmf.24/includes/jobqueue/JobQueueGroup.php(154): JobQueue->push(array)
  #2 /srv/mediawiki/php-1.31.0-wmf.24/includes/jobqueue/JobQueueGroup.php(218): JobQueueGroup->push(array)
  #3 /srv/mediawiki/php-1.31.0-wmf.24/includes/deferred/MWCallableUpdate.php(34): JobQueueGroup::pushLazyJobs()
  #4 /srv/mediawiki/php-1.31.0-wmf.24/includes/deferred/DeferredUpdates.php(259): MWCallableUpdate->doUpdate()
  #5 /srv/mediawiki/php-1.31.0-wmf.24/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
  #6 /srv/mediawiki/php-1.31.0-wmf.24/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
  #7 /srv/mediawiki/php-1.31.0-wmf.24/includes/MediaWiki.php(907): DeferredUpdates::doUpdates(string)
  #8 /srv/mediawiki/php-1.31.0-wmf.24/includes/MediaWiki.php(727): MediaWiki->restInPeace(string, boolean)
  #9 [internal function]: Closure$MediaWiki::doPostOutputShutdown()
  #10 {main}

Actual purging seems to work but should be re-tested. It would be nice to understand what this is.

Event Timeline

Andrew triaged this task as Normal priority.Mar 9 2018, 11:46 PM
Andrew created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 9 2018, 11:46 PM

Purging seems to work fine, but I can produce this exception any time I make an edit.

Change 420406 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/mediawiki-config@master] wikitech: set wgCdnReboundPurgeDelay to 0

https://gerrit.wikimedia.org/r/420406

Change 420406 merged by jenkins-bot:
[operations/mediawiki-config@master] wikitech: set wgCdnReboundPurgeDelay to 0

https://gerrit.wikimedia.org/r/420406

Mentioned in SAL (#wikimedia-operations) [2018-03-19T19:38:52Z] <andrew@tin> Synchronized wmf-config/wikitech.php: fix for T189347 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2018-03-19T19:53:37Z] <andrew@tin> Synchronized wmf-config/wikitech.php: fix for T189347 take 2 (duration: 00m 57s)

Andrew closed this task as Resolved.Mar 19 2018, 7:55 PM

Fixed